%global momorel 1

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		gammu
Version:        1.39.0
Release:        %{momorel}m%{?dist}
Summary:        Command Line utility to work with mobile phones
Group:          Applications/System
License:        GPLv2+
URL:            http://cihar.com/gammu/
Source0:	http://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.xz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf, gettext, cmake
BuildRequires:	libusb1-devel, doxygen
BuildRequires:  libdbi-devel, libcurl-devel
#enabling bluetooth fonction
BuildRequires:	bluez-libs-devel >= 4.00
#enabling mysql sms fonction
BuildRequires:	postgresql-devel, mariadb-devel >= 10.2
BuildRequires:  openssl-devel >= 1.0.0
Requires:       bluez-utils >= 4.00
Obsoletes:      python-gammu

%package	libs
Summary:	Libraries files for %{name}
Group:		System Environment/Libraries

%package	devel
Summary:	Development files for %{name}	
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig

%description
Gammu is command line utility and library to work with mobile phones
from many vendors.
Support for different models differs, but basic functions should work
with majority of them. Program can work with contacts,
messages (SMS, EMS and MMS), calendar, todos, filesystem,
integrated radio, camera, etc.
It also supports daemon mode to send and receive SMSes.

%description	libs
The %{name}-libs package contains libraries files that used by %{name}

%description	devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

mkdir build
pushd build
%cmake                  \
    -DENABLE_BACKUP=ON      \
    -DWITH_NOKIA_SUPPORT=ON     \
    -DWITH_Bluez=ON         \
    -DWITH_IrDA=ON          \
    -DINSTALL_UDEV_RULES=ON \
    -DINSTALL_GNAPPLET=ON       \
    -DINSTALL_MEDIA=ON       \
    -DINSTALL_PHP_EXAMPLES=ON       \
    -DINSTALL_BASH_COMPLETION=ON       \
    -DINSTALL_DOC=ON       \
    -DINSTALL_LOC=ON       \
    -DBUILD_SHARED_LIBS=ON \
    -DINSTALL_UDEV_RULES=ON \
    -DSYSTEMD_FOUND=ON \
    -DWITH_SYSTEMD=ON \
    -DSYSTEMD_SERVICES_INSTALL_DIR=%{_unitdir} \
    ../

make %{?_smp_mflags} VERBOSE=1
popd

%install
rm -rf %{buildroot}
make -C build install DESTDIR=%{buildroot}

# remove library
rm -f %{buildroot}%{_libdir}/libGammu.a

%find_lang %{name}
%find_lang lib%{name}
cat lib%{name}.lang >> %{name}.lang

%clean
rm -rf %{buildroot}

%post -n %{name}-libs -p /sbin/ldconfig

%postun -n %{name}-libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog INSTALL* README* docs/*
%{_bindir}/%{name}*
%{_bindir}/jadmaker
%{_datadir}/%{name}
%{_datadir}/doc/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%config %{_datadir}/bash-completion/completions/%{name}
%{_sysconfdir}/udev/rules.d/69-gammu-acl.rules
%{_unitdir}/gammu-smsd.service


%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}

%changelog
* Mon Apr 16 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.39.0-1m)
- update to 1.39.0

* Sun Jan 08 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.38.1-1m)
- update to 1.38.1

* Sat Sep 29 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.32.0-1m)
- update to 1.32.0

* Tue May  3 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.29.92-3m)
- rebuild for python-2.7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.29.92-2m)
- rebuild for new GCC 4.6

* Mon Mar 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.29.92-1m)
- update to 1.29.92
- rebuild against mysql-5.5.10

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.26.90-5m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.26.90-4m)
- full rebuild for mo7 release

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.26.90-3m)
- rebuild against openssl-1.0.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.26.90-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-90-1m)
- update to 1.26.90

* Thu May 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.24.0-1m)
- update to 1.24.0 based on Fedora 11 (1.24.0-1)
- License: GPLv2+

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.22.1-4m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.22.1-3m)
- rebuild against mysql-5.1.32

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.22.1-2m)
- rebuild against rpm-4.6

* Sat Dec 20 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.22.1-1m)
- update 1.22.1

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21.0-1m)
- update to 1.21.0

* Wed Jul  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20.0-1m)
- update to 1.20.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.10.6-2m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.6-2m)
- %%NoSource -> NoSource

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10.6-1m)
- initial build for Momonga Linux 4
